Bug 22066 - Boinc-manager не может установить сетевое соединение
: Boinc-manager не может установить сетевое соединение
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/boinc-manager)
: unstable
: all Linux
: P3 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2009-10-26 13:26 by
Modified: 2017-06-12 19:50 (History)


Attachments
backtrace boinc_client (9.07 KB, text/plain)
2009-12-04 11:27, Anatoly Lyutin
no flags Details
Исправленный сценарий службы boinc-client (14.88 KB, text/x-shellscript)
2009-12-04 22:40, manowar@altlinux.org
no flags Details
Действительно исправленный сценарий службы boinc-client (14.88 KB, text/x-shellscript)
2009-12-07 19:35, manowar@altlinux.org
no flags Details


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2009-10-26 13:26:01
При этом никакие настройки сети недоступны. KDE 3.5, DHCP поднят. На Windows
всё прекрасно.
------- Comment #1 From 2009-12-02 21:24:54 -------
Поясните, пожалуйста, что именно не работает. Я только что проверил
работоспособность клиентского ПО на проектах Einstein@Home и Milkyway@Home:
приложения загружаются, задания приходят и обрабатываются. Правда были ошибки в
сценарии службы boinc-client, но они не должны были сказаться на работе клиента
после его запуска. На всякий случай попробуйте новую сборку alt3.

  Кроме того, возможно, вы забыли указать пароль для подключения к клиенту?
Его можно указать через пункт меню "Select host". Подробнее о пароле можно
прочитать здесь: http://www.spy-hill.net/help/boinc/unix.html#passwd.
------- Comment #2 From 2009-12-02 21:25:17 -------
Поясните, пожалуйста, что именно не работает. Я только что проверил
работоспособность клиентского ПО на проектах Einstein@Home и Milkyway@Home:
приложения загружаются, задания приходят и обрабатываются. Правда были ошибки в
сценарии службы boinc-client, но они не должны были сказаться на работе клиента
после его запуска. На всякий случай попробуйте новую сборку alt3.

  Кроме того, возможно, вы забыли указать пароль для подключения к клиенту?
Его можно указать через пункт меню "Select host". Подробнее о пароле можно
прочитать здесь: http://www.spy-hill.net/help/boinc/unix.html#passwd.
------- Comment #3 From 2009-12-04 11:27:58 -------
Created an attachment (id=4099) [details]
backtrace boinc_client
------- Comment #4 From 2009-12-04 11:28:24 -------
В общем у меня всё плохо вот с такими симптомами:
[root@localhost ~]# rpm -qa | grep boinc
boinc-client-6.4.5-alt2
boinc-manager-6.4.5-alt2
boinc-6.4.5-alt2

Далее. Пароль настроил как сказано в документации по ссылке. Затем пытаюсь
стартануть из-под пользователя boinc_client - запускается и через некоторое
время пропадает, запускаю boinc_manager - пишет что не может установить
соединение с localhost (все настройки в gui - неактивны), поэтому я не могу
добавить какой-либо проект. Реакции на нажатие меню "добавить проект" - ноль.

Затем стартую всё хозяйство из-под рута. boinc_client падает со следующим
бактрейсом (в аттаче). Запуск boinc_gui показывает следующее (ждал до того
момента пока не появится сообщение типа "не могу соединится с localhost):
[root@localhost ~]# boinc_gui
connect: Connection refused
execvp(/root/boinc, --redirectio, --launched_by_manager) failed with error 2!
connect: Operation now in progress
send: -1
send: Connection refused
connect: Connection refused
connect: Connection refused
execvp(/root/boinc, --redirectio, --launched_by_manager) failed with error 2!
connect: Connection refused

Ошибку переоткрываю, чтобы не потерялась в пучине worksforme :)))
------- Comment #5 From 2009-12-04 22:38:51 -------
Давайте всё-таки разберёмся в каком компоненте проблема.
Сам BOINC-клиент должен работать из под пользователя boinc. В сборке alt2 с
этим были проблемы. Собрать alt3 пока не удаётся из за питона, засевшего в
сборочнице, поэтому прикладываю сценарий службы сюда.

Если клиент запустится, то первое, что можно сделать, это проверить его
работоспособность с помощью команды boinccmd:

$ boinccmd --passwd <пароль> --get_state

Пароль должен совпадать с содержимым файла /var/lib/boinc/gui_rpc_auth.cfg .

В случае ошибки будет выдано сообщение о ней с указанием кода ошибки в виде
отрицательного числа. Если выполнение команды завершилось без ошибок, то можно
попробовать запустить графический интерфейс:

$ boincmgr

Если интерфейс запустился в простом режиме (Simple View), то следует перейти в
полный режим, нажав на кнопку "Advanced view". Если большинство элементов
интерфейса недоступны, то скорее всего не удалось установить связь с клиентом в
автоматическом режиме. Попробуйте установить связь вручную: выберите пункт меню
"Advanced/Select computer..." и в диалоговом окне укажите имя узла на котором
работает клиент (localhost) и пароль для доступа к нему (содержимое файла
/var/lib/boinc/gui_rpc_auth.cfg).

Если клиент работает и прослушивает порт, то при нормальных условиях,
соединение должно быть установлено. Убедиться в том, что клиент прослушивает
порт, можно с помощью команды netstat:

# netstat -tlp
[sudo] password for manowar:
Active Internet connections (only servers)
Proto Recv-Q Send-Q Local Address               Foreign Address            
State       PID/Program name   
...
tcp        0      0 localhost.localdomain:31416 *:*                        
LISTEN      1165/boinc_client   
...
------- Comment #6 From 2009-12-04 22:40:19 -------
Created an attachment (id=4100) [details]
Исправленный сценарий службы boinc-client
------- Comment #7 From 2009-12-07 14:00:36 -------
[root@localhost ~]# boinccmd --passwd **** --get_state
connect: Connection refused
can't connect to local host

Если сделать потом boincmgr->"Advanced/Select computer...", то в консоли :
[root@localhost ~]# boincmgr
connect: Connection refused
execvp(/root/boinc, --redirectio, --launched_by_manager) failed with error 2!
connect: Operation now in progress
connect: Operation now in progress
connect: Connection refused
connect: Connection refused
execvp(/root/boinc, --redirectio, --launched_by_manager) failed with error 2!
connect: Connection refused

Сценарий не заработал вот так:
[root@localhost Загрузки]# ./boinc-client
./boinc-client: line 333: [: too many arguments
Usage: boinc {start|stop|restart|reload|condstop|condrestart|condreload|status}
------- Comment #8 From 2009-12-07 14:01:28 -------
Про сценарий - не прав, понял, что я сам должен решать что с клиентом делать
:))
------- Comment #9 From 2009-12-07 14:04:05 -------
Ммм, что-то я совсем не понимаю :(( :

[root@localhost Загрузки]# ./boinc-client start
./boinc-client: line 333: [: too many arguments
The BOINC client requires initialization../boinc-client: line 397:
echo_warning: command not found
------- Comment #10 From 2009-12-07 19:35:38 -------
Created an attachment (id=4107) [details]
Действительно исправленный сценарий службы boinc-client

Спасибо за отчёт. Оказалось, что пакет собирается неправильно и в нём был
старый файл. Отправил новый пакет на сборку и прикладываю обновлённый сценарий
службы boinc-client. Надёюсь на скорое разрешение вашей проблемы.
------- Comment #11 From 2009-12-08 06:32:15 -------
"отправил новый пакет на сборку"

К сожалению, рано: он не будет пропущен в сизиф, даже если новый питон будет
собран раньше. Причина:

http://git.altlinux.org/people/manowar/packages/boinc.git
не наследуется из
http://git.altlinux.org/people/real/packages/boinc.git
откуда будет произведена ближайшая по времени сборка пакета.
------- Comment #12 From 2009-12-08 12:30:52 -------
Хорошо, тогда я всё проверю когда пакет дойдёт до сизифа.
------- Comment #13 From 2009-12-13 18:16:03 -------
boinc-6.4.5-alt3 -> sisyphus:

* Mon Dec 07 2009 Paul Wolneykien <manowar@altlinux> 6.4.5-alt3

- Fix errors in the boinc-client init script (closes: 22066).
- Add README and COPYING files.
- Install the manual pages.
------- Comment #14 From 2009-12-14 13:46:31 -------
Проверил, всё работает.
Большое спасибо.
------- Comment #15 From 2017-06-12 19:50:31 -------
Так напишите человеческим языком - какое решение проблемы, если оно есть, или
что его нет. У меня такая же фигня..